#ifndef _files

#define _files

/* function protos */
#ifdef __GTK_H__

typedef void (*filewinfunc)(GtkWidget*);

void setfilename(GtkWidget *filew);
char *getfilename(GtkWidget *widget);
GtkWidget *create_filedlg(const char *title, int save, filewinfunc cancelfunc,
			  filewinfunc okfunc);
void create_romdlg(GtkWidget *s);
#endif

void create_savedlg(byte *data, byte *prgmname);
void create_loaddlg(void);

void trap_save();

#endif
